def gijswijt():
    yield 1
    seq = [1]
    while True:
        yield from seq
        seq += seq
        yield 2
        seq.append(2)
        while (x := next_gijswijt(seq)) != 1:
            yield x
            seq.append(x)


def next_gijswijt(seq):
    sseq = []
    max_n = 1
    while seq[-len(sseq) * 2 - 1] != 1:
        sseq.append(seq[-len(sseq) - 1])
        n = 1
        while True:
            for i in range(len(sseq)):
                if seq[-len(sseq) * n - i - 1] != sseq[i]:
                    break
            else:
                n += 1
                continue
            break
        max_n = max(n, max_n)
    return max_n


if __name__ == '__main__':
    import sys
    if len(sys.argv) < 2 or not sys.argv[1].isnumeric():
        print('Usage: python3 gijswijt.py <number>')
        exit()
    for (i, _) in zip(gijswijt(), range(int(sys.argv[1]))):
        print(i, end=' ')
    print()
